Issue 2374 - add Apply button in Options to avoid having to re-drill down
Summary: add Apply button in Options to avoid having to re-drill down
Status: CLOSED WONT_FIX
Alias: None
Product: ui
Classification: Code
Component: ui (show other issues)
Version: 641
Hardware: PC Windows 98
: P3 Trivial with 2 votes (vote)
Target Milestone: AOO PleaseHelp
Assignee: requirements
QA Contact: issues@ui
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2001-12-01 17:26 UTC by richard.holt
Modified: 2009-05-09 16:12 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description richard.holt 2001-12-01 17:26:24 UTC
RFE: When setting Options, it would be helpful to have an Apply button to apply changes 
made so far. This would avoid having to drill down through the menus again, in case an 
error is made thus losing changes made.
Comment 1 stefan.baltzer 2001-12-03 09:54:11 UTC
Reassigned to Falko.
Comment 2 falko.tesch 2002-01-02 10:39:59 UTC
This issue is re-assigned to Christian Jansen for further evaluation.
Comment 3 christian.jansen 2002-01-07 15:21:38 UTC
An Apply button would be a great thing, but if we are going to support
those kind of buttons they should be provided not only in
tools/options. There for some more planning has to be done, because it
is a tootaly different conceft. I will resolve this issue to later.
Comment 4 peschtra 2004-12-04 20:13:23 UTC
This is still true in 1.1.4RC & 1.9.62.

Perhaps this could be re-opened as we plan for 2.0.

It would be nice to see the result of some options changes without closing and
re-opening options.

Thanks,
Peter
Comment 5 peschtra 2004-12-17 03:15:12 UTC
I have reopened this, because it was last discussed in 2002. Since 2.0 is forth
coming perhaps someone could look into it.

If it is not going to happen that is fine, I just didn't want it to disappear
from the radar. :)

Sorry if this is not the correct process.

Peter
Comment 6 christian.jansen 2005-05-23 10:48:14 UTC
CJ->FT: Hi Falko improving tools options for OOo 3 seems to be on your plate. I
think this RFE makes sense. Please have a look. Thanks.
Comment 7 falko.tesch 2005-07-08 06:35:18 UTC
FT: Will be part of re-design of Optios dialogue
Comment 8 falko.tesch 2005-10-20 20:18:06 UTC
FT: Re-assigned to requirement default user
Comment 9 richard.holt 2005-12-17 00:25:14 UTC
Marking this issue as resolved, since I no longer have a problem or care. 
It is somewhwat easier to manage in OOo2, so let it die, until someone else 
finds a problem. 

Richard Holt. 
Comment 10 js181096 2005-12-23 16:52:13 UTC
That would be deffinitely usefull. Why the Apply buttons is not there in OO 2?
Comment 11 ace_dent 2008-05-17 21:36:12 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 12 ace_dent 2008-05-17 23:39:28 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
Comment 13 edgardol 2009-05-09 16:12:52 UTC
There are several other requests for "Apply" buttons dating back to 2001.
I'm posting this message in all of them.

Does anyone know an effective way to join them, to add the votes, to raise
visibility with developers ?

These are found looking for the word "Apply" in the subject:

2374 (ui) add Apply button in Options to avoid having to re-drill down
10173 (Drawing) Apply button to dialogs
15582 (Word processor) Implement 'Apply changes' option
24443 (Word processor) change button name of style catalog: ok -> apply
45396 (framework) "Apply" button in "Appearance" box
51333 (framework) Add "Apply" button to dialogs "Tools-Options" and
"Tools-Customize"
67133 (framework) apply button in options tab
67848 (Chart) add a button 'Apply' on the dialog 'Object Properties'

In the meantime, I hope you'd consider voting for all of them.

Thanks,
Edgardo.